@import '../../../assets/styles/common.scss';

.reset {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  max-height: 100%;

  &-card {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 41rem;
    height: auto;
    padding: 5.8rem 9.3rem 6.8rem 9.4rem;
    border: 1px solid $white;
    border-radius: 11px;
    background: transparent linear-gradient(to bottom, #001668 0%, #01115b 15%, #030a45 43%, #06002a 100%) 0% 0% no-repeat padding-box;
    box-shadow: 2px 6px 11px #000000bf;
  }

  &-result {
    color: $red;
  }

  &-form {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    margin-top: 4rem;

    [class^='custom-input-basic__wrapper'] {
      width: calc(100% - 5rem);
    }

    .password-indicator {
      margin-top: .5rem;

      &__status {
        margin-top: 1.5rem;
      }
    }

    .register-input {
      position: relative;

      &::after {
        top: 2.4rem;
        right: -1.6rem;
        left: auto;
        -webkit-transform: scale(2);
        transform: scale(2);
      }
    }
  }

  &__title {
    font-style: italic;
    font-size: 3rem;
  }

  &__subHeader {
    font-style: italic;
    font-size: 2rem;
    color: $blue-light;
    text-align: center;
  }

  &__btn {
    &-container {
      position: relative;
      margin-top: 3rem;
      text-align: center;

      &_btn {
        width: 100%;
        height: auto;
      }
    }
  }

  @media only screen and (max-width: 1400px) {
    &-card {
      max-width: 90vw;
    }

    &__btn-container_btn {
      width: 75%;
    }

    @media only screen and (max-width: 500px) {
      &-form {
        margin-top: 1.5rem;
      }

      &-card {
        width: 41rem;
        max-width: 95vw;
        padding: 4rem 6rem;
      }

      &__btn-container_btn {
        width: 65%;
        min-width: 20rem;
      }

      &__title {
        font-size: 2.33rem;
      }
    }
  }
}
